paso::MergedSolver Struct Reference

`#include <MergedSolver.h>`

## Public Member Functions

| MergedSolver (const_SystemMatrix_ptr A, const Options *options)
| ~MergedSolver ()
void | solve (double *local_x, const double *local_b)

## Public Attributes

escript::JMPI | mpi_info
SparseMatrix_ptr | A
double * | x
double * | b
int * | counts
int * | offset
index_t | reordering
index_t | refinements
index_t | verbose
index_t | sweeps

## Constructor & Destructor Documentation

## MergedSolver()

paso::MergedSolver::MergedSolver | ( | const_SystemMatrix_ptr | A,
|  | const Options * | options
| ) |  |

References A, b, paso::Options::coarse_matrix_refinements, counts, MATRIX_FORMAT_BLK1, MATRIX_FORMAT_CSC, MATRIX_FORMAT_OFFSET1, mpi_info, offset, PASO_JACOBI, PASO_MKL, PASO_SMOOTHER, PASO_UMFPACK, paso::Options::post_sweeps, paso::Options::pre_sweeps, paso::Preconditioner_LocalSmoother_alloc(), refinements, reordering, paso::Options::reordering, paso::Options::smoother, sweeps, verbose, and x.

## ~MergedSolver()

paso::MergedSolver::~MergedSolver | ( |  | ) |

References b, counts, offset, and x.

## Member Function Documentation

## solve()

void paso::MergedSolver::solve | ( | double * | local_x,
|  | const double * | local_b
| ) |  |

References A, b, counts, paso::MKL_solve(), MPI_DOUBLE, mpi_info, offset, PASO_MKL, PASO_SMOOTHER, PASO_UMFPACK, paso::Preconditioner_LocalSmoother_solve(), refinements, reordering, sweeps, paso::UMFPACK_solve(), verbose, and x.

Referenced by paso::Preconditioner_AMG_solve().

## Member Data Documentation

## A

SparseMatrix_ptr paso::MergedSolver::A

Referenced by MergedSolver(), and solve().

## b

double* paso::MergedSolver::b

Referenced by MergedSolver(), solve(), and ~MergedSolver().

## counts

int* paso::MergedSolver::counts

Referenced by MergedSolver(), solve(), and ~MergedSolver().

## mpi_info

escript::JMPI paso::MergedSolver::mpi_info

Referenced by MergedSolver(), and solve().

## offset

int* paso::MergedSolver::offset

Referenced by MergedSolver(), solve(), and ~MergedSolver().

## refinements

index_t paso::MergedSolver::refinements

Referenced by MergedSolver(), and solve().

## reordering

index_t paso::MergedSolver::reordering

Referenced by MergedSolver(), and solve().

## sweeps

index_t paso::MergedSolver::sweeps

Referenced by MergedSolver(), and solve().

## verbose

index_t paso::MergedSolver::verbose

Referenced by MergedSolver(), and solve().

## x

double* paso::MergedSolver::x

Referenced by MergedSolver(), solve(), and ~MergedSolver().

The documentation for this struct was generated from the following files:

- MergedSolver.h
- MergedSolver.cpp